<?php

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'banner_style',
    'label'       => esc_html__( 'Default Page Banner Style', 'guto-lite' ),
    'section'     => 'banner_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-6'    => esc_attr__( 'Style Three', 'guto-lite' ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'background',
	'settings'    => 'banner_background_setting',
	'label'       => esc_html__( 'Default Banner Background Control', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'background-color'      => '',
		'background-repeat'     => '',
		'background-position'   => '',
		'background-size'       => '',
		'background-attachment' => '',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.page-title-area, .page-title-area-fs, .os-page-title-area, .restaurant-page-title-area, .nm-page-title-area, .insurance-page-title-only::before, .oet-page-title-area'
		],
	],
);

$guto_lite_fields[]= array(
    'type'        => 'dimensions',
	'settings'    => 'banner_dimensions',
	'label'       => esc_html__( 'Banner Dimension', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'padding-top'    => '',
		'padding-bottom' => '',
		'padding-left'   => '',
		'padding-right'  => '',
	],
	'output'      => [
		[
			'element' => '.page-title-area, .page-title-area-fs, .os-page-title-area, .restaurant-page-title-area, .nm-page-title-area, .dm-page-banner-area, .insurance-page-title-area, .yoga-page-title-area, .oet-page-title-area',
		],
	],
);

$guto_lite_fields[]= array(
    'type'        => 'image',
	'settings'    => 'banner_shape1',
	'label'       => esc_html__( 'Banner Shape Image One', 'guto-lite' ),
	'section'     => 'banner_section',
);

$guto_lite_fields[]= array(
    'type'        => 'image',
	'settings'    => 'banner_shape2',
	'label'       => esc_html__( 'Banner Shape Image Two', 'guto-lite' ),
	'section'     => 'banner_section',
);

$guto_lite_fields[]= array(
    'type'        => 'typography',
	'settings'    => 'typography_banner_top_title',
	'label'       => esc_html__( 'Banner Top Title Typography', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'text-transform' => 'none',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.page-title-content .sub-title, .page-title-content-fs .sub-title',
		],
	],
);

$guto_lite_fields[]= array(
    'type'        => 'typography',
	'settings'    => 'typography_banner_title',
	'label'       => esc_html__( 'Banner Title Typography', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'text-transform' => 'none',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.page-title-content h2, .page-title-content-fs h2, .os-page-title-content h2, .restaurant-page-title-area .restaurant-page-title-content h2, .nm-page-title-area .nm-page-title-content h2,  .dm-page-banner-area .dm-page-banner-content h2, .insurance-page-title-content h2, .yoga-page-title-area .yoga-page-title-content h2, .oet-page-title-content h2',
		],
	],
);

$guto_lite_fields[]= array(
    'type'        => 'typography',
	'settings'    => 'typography_banner_breadcrumb',
	'label'       => esc_html__( 'Banner Breadcrumb Typography', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'text-transform' => 'none',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.page-title-content ul li, .page-title-content-fs ul li, .os-page-title-area ul li, .restaurant-page-title-area .restaurant-page-title-content ul li, .nm-page-title-area .nm-page-title-content ul li,  .dm-page-banner-area .dm-page-banner-content ul li, .insurance-page-title-content ul li, .yoga-page-title-area .yoga-page-title-content ul li, .oet-page-title-content ul li',
		],
	],
);