<?php

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'blog_style',
    'label'       => esc_html__( 'Default Blog Page Style', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-6'    => esc_attr__( 'Style Three', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'single_blog_style',
    'label'       => esc_html__( 'Single Blog Page Style', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => 'style-1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'show_breadcrumb',
    'label'       => esc_html__( 'Show Breadcrumb', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => false,
    'choices'     => array(
        true  => esc_html__( 'Enable', 'guto-lite' ),
        false => esc_html__( 'Disable', 'guto-lite' ),
    ),
);
$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'show_blog_banner',
    'label'       => esc_html__( 'Show Blog Banner', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
    'choices'     => array(
        true  => esc_html__( 'Enable', 'guto-lite' ),
        false => esc_html__( 'Disable', 'guto-lite' ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'image',
    'settings'    => 'blog_banner_img',
    'label'       => esc_html__( 'Banner Image', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => '',
    'required'      => array(
        array(
            'setting'   => 'show_blog_banner',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'blog_banner_title',
    'label'       => esc_html__( 'Blog Banner Title', 'guto-lite' ),
    'section'     => 'blog_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.page-title-content h2',
            'function' => 'html'
        ),
    ),
    'default'     =>'',
    'required'      => array(
        array(
            'setting'   => 'show_blog_banner',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'blog_sidebar',
    'label'       => esc_html__( 'Blog Sidebar Position', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => 'right',
    'choices'     => array(
        'none'      => esc_html__('None','guto-lite'),
        'right'     => esc_html__('Right','guto-lite'),
        'left'      => esc_html__('Left','guto-lite'),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'post_image_size',
    'label'       => esc_html__( 'Select Post Image Size', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => 'guto_lite_single_post_thumb',
    'choices'     => array(
        'guto_lite_post_thumb'           => esc_html__('542X542','guto-lite'),
        'guto_lite_single_post_thumb'    => esc_html__('790x450','guto-lite'),
        'guto_lite_dm_thumb_size'    => esc_html__('750x500','guto-lite'),
        'full'                      => esc_html__('Full','guto-lite'),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'pagination_style',
    'label'       => esc_html__( 'Pagination Style', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-3'    => esc_attr__( 'Style Three', 'guto-lite' ),
        'style-4'    => esc_attr__( 'Style Four', 'guto-lite' )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_share',
    'label'       => esc_html__( 'Enable Blog Share', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
);
$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'blog_share_title',
    'label'       => esc_html__( 'Blog Share Title', 'guto-lite' ),
    'section'     => 'blog_section',
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_fb',
    'label'       => esc_html__( 'Enable Blog Share on Facebook', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_tw',
    'label'       => esc_html__( 'Enable Blog Share on Twitter', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_ld',
    'label'       => esc_html__( 'Enable Blog Share on LinkedIn', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_wp',
    'label'       => esc_html__( 'Enable Blog Share on WhatsApp', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_email',
    'label'       => esc_html__( 'Enable Blog Share on Email', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_blog_cp',
    'label'       => esc_html__( 'Enable Blog Share on Copy Link', 'guto-lite' ),
    'section'     => 'blog_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_blog_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);