<?php
/*
 * Newsletter
 *
*/

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'is_newsletter',
    'label'       => esc_html__( 'Newsletter Enable', 'guto-lite' ),
    'description' => esc_html__( 'Enable/Disable option is only for Blog, Shop and Custom posts single', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);


$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_top_title',
    'label'       => esc_html__( 'Sub Title', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.ohc-subscribe-content .sub-title',
            'function' => 'html'
        ),
    ),
    'default'     => esc_html__( 'GET UPDATES', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_title',
    'label'       => esc_html__( 'Title', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.ohc-subscribe-content h2',
            'function' => 'html'
        ),
    ),
    'default'     => esc_html__( 'Our Newsletter', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'textarea',
    'settings'    => 'newsletter_desc',
    'label'       => esc_html__( 'Description', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.ohc-subscribe-content p',
            'function' => 'html'
        ),
    ),
    'default'     => esc_html__( 'Our Newsletter', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_action_url',
    'label'       => esc_html__( 'Mailchimp Action URL', 'guto-lite' ),
    'section'     => 'newsletter_section',
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_pt',
    'label'       => esc_html__( 'Newsletter Placeholder Text', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'default'     => esc_html__( 'Enter your email address', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_button',
    'label'       => esc_html__( 'Newsletter Button Text', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'default'     => esc_html__( 'Subscribe Now', 'guto-lite' ),
);

$guto_lite_fields[] = array(
	'type'        => 'image',
	'settings'    => 'newsletter_shape_img',
	'label'       => esc_html__( 'Newsletter Shape Image', 'guto-lite' ),
	'section'     => 'newsletter_section',
);

$guto_lite_fields[] = array(
	'type'        => 'image',
	'settings'    => 'newsletter_img',
	'label'       => esc_html__( 'Newsletter Right Image', 'guto-lite' ),
	'section'     => 'newsletter_section',
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'news_bg_color',
    'label'       => esc_html__( 'Background Color', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-newsletter-inner-box',
            'property'	=> 'background-color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'news_top_title_color',
    'label'       => esc_html__( 'Top Title Color', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-subscribe-content .sub-title',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'news_title_color',
    'label'       => esc_html__( 'Title Color', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-subscribe-content h2',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'news_desc_color',
    'label'       => esc_html__( 'Description Color', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.ohc-subscribe-content p',
            'property'	=> 'color',
        ),
    ),
);
