<?php
/*
 * Nav Settings
 *
*/

$guto_lite_fields[] = array(
    'type'        => 'repeater',
    'label'       => esc_html__( 'Social Control', 'guto-lite' ),
    'section'     => 'nav_section',
    'priority'    => 10,
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Social Profile', 'guto-lite' ),
    ),
    'settings'    => 'nav_social_links',
    'default'     => array(
        array(
            'social_icon' => '',
            'social_url'  => '',
        ),
    ),
    'fields' => array(
        'social_icon' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Social Icon', 'guto-lite' ),
            'default'     => '',
        ),
        'social_url' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Social URL', 'guto-lite' ),
            'default'     => '',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'nav_bg_color',
    'label'       => esc_html__( 'Navigation Background Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> ' .rb-guto-nav',
            'property'	=> 'background-color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'nav_menu_color',
    'label'       => esc_html__( 'Menu Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> ' .rb-guto-nav .navbar .navbar-nav .nav-item a',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'active_nav_menu_color',
    'label'       => esc_html__( 'Active Menu Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> ' .rb-guto-nav .navbar .navbar-nav .nav-item.active a, .rb-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'nav_menu_hover_color',
    'label'       => esc_html__( 'Menu Hover Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> ' .rb-guto-nav .navbar .navbar-nav .nav-item a:hover, .rb-guto-nav .navbar .navbar-nav .nav-item a:focus, .rb-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .rb-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:focus, .rb-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a',
            'property'	=> 'color',
        ),
    ),
);

/*
 *
 * Main Nav
 *
 */
$guto_lite_fields[] = array(
    'type'        => 'custom',
    'settings'    => 'nav_header_title',
    'label'       => '',
    'section'     => 'nav_section',
    'default'     => '<div class="xs-title-divider">'.esc_html__("Navigation Section","guto-lite").'</div>',
);

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'nav_search',
    'label'       => esc_html__( 'Show Search', 'guto-lite' ),
    'section'     => 'nav_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'nav_search_title',
    'label'       => esc_html__( 'Search Placeholder Text', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport' => 'refresh',
    'default'     =>'',
    'required'      => array(
        array(
            'setting'   => 'nav_search',
            'operator'  => '!=',
            'value'     => false,
        )
    ),
);