<?php
/**
 * Template for displaying content of single course.
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 4.0.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * Header for page
 */
get_header( 'course' );

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

if( $guto_lite_current_demo == 'motivational-speaker' || $guto_lite_current_demo == 'life-coaching' ) : 

/**
 * @since 3.0.0
 */
//do_action( 'learn-press/before-main-content' );
do_action( 'learn-press/before-main-content-single-course' );

while ( have_posts() ) {
	the_post();
	learn_press_get_template( 'content-single-course' );
}

/**
 * @since 3.0.0
 */
do_action( 'learn-press/after-main-content-single-course' );
//do_action( 'learn-press/after-main-content' );

else:

/**
 * @since 3.0.0
 */
do_action( 'learn-press/before-main-content' );
do_action( 'learn-press/before-main-content-single-course' );

while ( have_posts() ) {
	the_post();
	learn_press_get_template( 'content-single-course' );
}

/**
 * @since 3.0.0
 */
do_action( 'learn-press/after-main-content-single-course' );
do_action( 'learn-press/after-main-content' );

endif;

/**
 * LP sidebar
 */
do_action( 'learn-press/sidebar' );

if ( $guto_lite_current_demo == 'online-health-coach'):
    $is_ohc_cta  = guto_lite_option('is_ohc_cta');
    $is_ohc_contact  = guto_lite_option('is_ohc_contact');

    if( $is_ohc_cta ):
        get_template_part( 'template-parts/footer/footer','cta-ohc' );
    endif;
    
    if( $is_ohc_contact ):
        get_template_part( 'template-parts/footer/footer','contact-info-ohc' );
    endif;
endif;

/**
 * Footer for page
 */
get_footer( 'course' );
