<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Guto Lite
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header();

$post_image_size	    = guto_lite_option('post_image_size');

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$by_text = guto_lite_option('guto_lite_by_text');
$blog_sidebar	   = guto_lite_option( 'blog_sidebar' );
$single_blog_style = guto_lite_option( 'single_blog_style' );
$blog_style = guto_lite_option( 'blog_style' );

$is_social_share = guto_lite_option( 'enable_blog_share' );
$read_text   = guto_lite_option('read_text');
$prev_text   = guto_lite_option('rb_prev_text');
$next_text   = guto_lite_option('rb_next_text');
$is_related             = guto_lite_option( 'enable_blog_rel_post' );
$related_blog_title     = guto_lite_option( 'related_blog_title' );
$related_post_count     = guto_lite_option( 'related_blog_post' );
$related_excerpt        = guto_lite_option( 'related_rb_excerpt' );
$rel_read_text          = guto_lite_option('related_rb_read_text');

$rb_single_sidebar	    = guto_lite_option( 'rb_single_sidebar' );

if( $rb_single_sidebar == 'none' ):
	$guto_lite_sidebar_class = 'col-lg-12 col-md-12';
else:
	$guto_lite_sidebar_class = 'col-lg-8 col-md-12';
endif;

if ( $guto_lite_current_demo == 'digital-marketing'):
	$blog_style_class = ' dm-blog-area';
else:
	$blog_style_class = '';
endif;

get_template_part( 'template-parts/header/content', 'single-header' );
?>
	<?php
	if( guto_lite_is_elementor() ):
		the_content();
	else: ?>

		<!-- Start Blog Details Area -->
		<?php if( $guto_lite_current_demo == 'freelancer' ) : ?>
			<div class="fl-blog-details-area ptb-100">
				<div class="container">
					<div class="row justify-content-center">
					<?php
						while ( have_posts() ) :
						the_post();
						?>
						<div class="col-lg-8 col-md-12">
							<div class="fl-blog-details-desc">
							<?php if(has_post_thumbnail()) { ?>
									<div class="article-image">
										<img src="<?php the_post_thumbnail_url($post_image_size) ?>" alt="<?php the_title_attribute(); ?>">
									</div>
								<?php } ?>

								<?php the_content(); ?>

								<?php if ( get_the_tags() ) {  ?>

									<div class="article-tags">
										<?php $post_tags = get_the_tags();
											foreach ($post_tags as $post_tag ) {  ?>
												<a href="<?php echo esc_url(get_tag_link($post_tag->term_id)); ?>">
													<?php esc_html_e('#', 'guto-lite'); ?><?php echo esc_html($post_tag->name) ?>
												</a>

											<?php
										} ?>
									</div>

								<?php } ?>

								<?php
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
							</div>
						</div>
					<?php endwhile; // End of the loop. ?>
					</div>
				</div>
			</div>
		<?php elseif( $guto_lite_current_demo == 'lifestyle-blog' ) : ?>
			<div class="fls-blog-details-area ptb-100">
				<div class="container">
					<div class="row justify-content-center">
						<?php if( $blog_sidebar == 'left' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>
						<?php
						while ( have_posts() ) :
						the_post(); ?>
							<div class="<?php echo esc_attr( guto_lite_blog_sidebar() ); ?>">
								<div class="fls-details-item">
									<?php if(has_post_thumbnail()) { ?>
										<img src="<?php the_post_thumbnail_url('guto_lite_single_post_thumb_1000*600') ?>" alt="<?php the_title_attribute(); ?>">
									<?php } ?>

									<ul class="info">
										<?php if ( get_the_tags() ) {  ?>

											<li>
												<?php $post_tags = get_the_tags();
													foreach ($post_tags as $post_tag ) {  ?>
														<?php echo esc_html($post_tag->name) ?>
													<?php
												} ?>
											</li>

										<?php } ?>

										<li><?php echo esc_html(get_the_date()); ?></li>
										<li><?php echo esc_html( $by_text ); ?><a href="<?php the_permalink(); ?>"><?php the_author(); ?></a></li>
									</ul>

									<h2><?php the_title(); ?></h2>

									<?php the_content(); ?>

									<?php

										$is_social_share    = guto_lite_option( 'enable_blog_share' );
							            if( $is_social_share == '1' ):
							            $share_url      = get_the_permalink();
							            $share_title    = get_the_title();
							            $share_desc     = get_the_excerpt();

									?>
										<ul class="social pb-100">
											<?php if( guto_lite_option( 'blog_share_title' ) != '' ): ?>
												<li>
													<span><?php echo esc_html( guto_lite_option( 'blog_share_title' ) ); ?></span>
												</li>
											<?php endif; ?>

											<?php if( guto_lite_option( 'blog_share_fb') == '1' ): ?>

												<li>
													<a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($share_url); ?>" onclick="window.open(this.href, 'facebook-share','width=580,height=296'); return false;" class="facebook" target="_blank"><i class='bx bxl-facebook'></i></a>
												</li>
											<?php endif; ?>

											<?php if( guto_lite_option( 'enable_blog_fb') == '1' ): ?>
												<li>
													<a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($share_url); ?>" onclick="window.open(this.href, 'facebook-share','width=580,height=296'); return false;" class="facebook" target="_blank"><i class='bx bxl-facebook'></i></a>
												</li>
											<?php endif; ?>

											<?php if( guto_lite_option( 'enable_blog_in') == '1' ): ?>
												<li>
													<a href="https://plus.instragram.com/share?url=<?php echo esc_url($share_url); ?>" target="_blank">
														<i class="bx bxl-instagram"></i>
													</a>
												</li>
											<?php endif; ?>

											<?php if( guto_lite_option( 'enable_blog_pin') == '1' ): ?>
												<li>
													<a href="https://pinterest.com/pin/create/button/?url=<?php echo esc_url($share_url); ?>" target="_blank">
														<i class="bx bxl-pinterest-alt"></i>
													</a>
												</li>
											<?php endif; ?>

											<?php if( guto_lite_option( 'enable_blog_tw') == '1' ): ?>
												<li>
													<a href="https://twitter.com/share?text=<?php echo urlencode($share_title); ?>&url=<?php echo esc_url($share_url); ?>" target="_blank">
														<i class="bx bxl-twitter"></i>
													</a>
												</li>
											<?php endif; ?>
										</ul>
									<?php endif; ?>

									<?php
									// If comments are open or we have at least one comment, load up the comment template.
										if ( comments_open() || get_comments_number() ) :
											comments_template();
										endif;
									?>

								</div>
							</div>
						<?php endwhile; // End of the loop. ?>

						<?php if( $blog_sidebar == 'right' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		<!-- Start Blog Details Area -->
		<?php elseif( $guto_lite_current_demo == 'motivational-speaker' ) : ?>
			<div class="ms-blog-details-area ptb-100">
				<div class="container-lg">
					<div class="row justify-content-center">
					<?php
						while ( have_posts() ) :
						the_post();
						?>
						<div class="col-lg-8 col-md-12">
							<div class="ms-blog-details-desc">

								<?php the_content(); ?>

								<?php if ( get_the_tags() ) {  ?>

									<div class="article-tags">
										<?php $post_tags = get_the_tags();
											foreach ($post_tags as $post_tag ) {  ?>
												<a href="<?php echo esc_url(get_tag_link($post_tag->term_id)); ?>">
													<?php esc_html_e('#', 'guto-lite'); ?><?php echo esc_html($post_tag->name) ?>
												</a>

											<?php
										} ?>
									</div>

								<?php } ?>

								<?php
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
							</div>
						</div>
					<?php endwhile; // End of the loop. ?>
					</div>
				</div>
			</div>
		<?php elseif( $guto_lite_current_demo == 'life-coaching' ) : ?>
			<div class="lc-blog-details-area ptb-100">
				<div class="container-lg">
					<div class="row justify-content-center">
					<?php
						while ( have_posts() ) :
						the_post(); ?>
						<div class="col-lg-8 col-md-12">
							<div class="lc-blog-details-desc">

								<?php the_content(); ?>

								<?php if ( get_the_tags() ) {  ?>

									<div class="article-tags">
										<?php $post_tags = get_the_tags();
											foreach ($post_tags as $post_tag ) {  ?>
												<a href="<?php echo esc_url(get_tag_link($post_tag->term_id)); ?>">
													<?php esc_html_e('#', 'guto-lite'); ?><?php echo esc_html($post_tag->name) ?>
												</a>

											<?php
										} ?>
									</div>

								<?php } ?>

								<?php
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
							</div>
						</div>
					<?php endwhile; // End of the loop. ?>
					</div>
				</div>
			</div>
		<?php elseif( $guto_lite_current_demo == 'recipe-blog' ) : ?>
			<div id="content" class="<?php echo esc_attr( $blog_style_class ); ?> rb-recipes-details-area ptb-100">
				<div class="container">
					<div class="row justify-content-center">
						<?php if( $rb_single_sidebar == 'left' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>

						<?php while (have_posts()) : the_post();
							$categories = get_the_category();
						?>
							<div class="<?php echo esc_attr( $guto_lite_sidebar_class ); ?>">
								<div class="rb-recipes-details-desc">
									<div class="article-recipes-title">
										<h3><?php the_title(); ?></h3>

										<ul class="tag-list">
											<li>
												<i class="bx bx-time"></i>
												<?php echo esc_html(guto_lite_reading_time()) ?>
												<?php echo esc_html( $read_text ); ?>
											</li>

											<?php if( !empty( $categories ) ) : ?>
												<li>
													<i class="bx bx-tag"></i>
													<?php echo esc_html( $categories[0]->name ); ?>
												</li>
											<?php endif; ?>
										</ul>
									</div>

									<div class="article-recipes-img">
										<?php if(has_post_thumbnail()) { ?>
											<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
										<?php } ?>
									</div>

									<div class="article-recipes-social">

										<span>
											<?php echo esc_html( $by_text ); ?>
											<a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"> <?php echo esc_html( get_the_author() ); ?></a>
										</span>

										<?php if( $is_social_share == true ):
											$share_url      = get_the_permalink();
											$share_title    = get_the_title();
											$share_desc     = get_the_excerpt();
										?>
											<ul class="social-list">
												<?php if( guto_lite_option( 'blog_share_title' ) != '' ): ?>
													<li><span><?php echo esc_html( guto_lite_option( 'blog_share_title' ) ); ?></span></li>
												<?php endif; ?>

												<?php if( guto_lite_option( 'enable_blog_fb') == true ): ?>
													<li><a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($share_url); ?>" onclick="window.open(this.href, 'facebook-share','width=580,height=296'); return false;" class="facebook" target="_blank"><i class="bx bxl-facebook"></i></a></li>
												<?php endif; ?>

												<?php if( guto_lite_option( 'enable_blog_tw') == true ): ?>
													<li><a href="https://twitter.com/share?text=<?php echo urlencode($share_title); ?>&url=<?php echo esc_url($share_url); ?>" class="twitter" target="_blank"><i class="bx bxl-twitter"></i></a></li>
												<?php endif; ?>

												<?php if( guto_lite_option( 'enable_blog_ld') == true ): ?>
													<li><a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url($share_url); ?>&amp;title=<?php echo urlencode($share_title); ?>&amp;summary=&amp;source=<?php bloginfo('name'); ?>" onclick="window.open(this.href, 'linkedin','width=580,height=296'); return false;" class="linkedin" target="_blank"><i class="bx bxl-linkedin"></i></a></li>
												<?php endif; ?>

												<?php if( guto_lite_option( 'enable_blog_wp') == true ): ?>
													<?php if ( wp_is_mobile() != true ) : ?>
														<li><a href="https://api.whatsapp.com/send?phone=whatsappphonenumber&text=<?php echo esc_url($share_url); ?>" data-action="share/whatsapp/share" class="whatsapp" target="_blank"><i class='bx bxl-whatsapp'></i></a></li>
													<?php else : ?>
														<li><a href="whatsapp://send?text=<?php echo esc_url($share_url); ?>" class="whatsapp" target="_blank"><i class='bx bxl-whatsapp'></i></a></li>
													<?php endif; ?>
												<?php endif; ?>

												<?php if( guto_lite_option( 'enable_blog_email') == true ): ?>
													<li><a href="mailto:?subject=<?php echo urlencode($share_title); ?> | <?php echo urlencode($share_desc); ?>&body=<?php echo esc_url($share_url); ?>" class="email" target="_blank"><i class='bx bx-mail-send' ></i></a></li>
												<?php endif; ?>

												<?php if( guto_lite_option( 'enable_blog_cp') == true ): ?>
													<li><a class="copy" href="#" onclick="prompt('Press Ctrl + C, then Enter to copy to clipboard','<?php echo esc_url($share_url); ?>')"><i class='bx bxs-copy' ></i></a></li>
												<?php endif; ?>
											</ul>
										<?php endif; ?>
									</div>

									<?php the_content(); ?>

									<div class="article-navigation">
										<div class="navigation-links">
											<?php $prevPost = get_previous_post();
											if($prevPost) { ?>
												<div class="nav-previous">
													<a href="<?php echo get_permalink($prevPost->ID); ?>">
														<i class='bx bx-chevron-left'></i>
														<?php echo esc_html( $prev_text ); ?>
													</a>
												</div>
											<?php }

											$nextPost = get_next_post();
											if($nextPost) { ?>
												<div class="nav-next">
													<a href="<?php echo get_permalink($nextPost->ID); ?>">
														<?php echo esc_html( $next_text ); ?>
														<i class='bx bx-chevron-right'></i>
													</a>
												</div>
											<?php } ?>
										</div>
									</div>

									<!-- Related Posts -->
									<?php
										$cats     = get_the_category();
										$cats_id  = wp_list_pluck($cats,'term_id' );

										if ( $related_post_count =='' ) {
											$related_post_count    = '2';
										}
										if ( $related_excerpt =='' ) {
											$related_excerpt       = '12';
										}

										$rel_posts = new WP_Query( array(
											'post_type' => 'post',
											'tax_query' => array(
												array(
													'taxonomy'    => 'category',
													'field'       => 'id',
													'terms'       => $cats_id,
													'operator'    => 'IN' //Or 'AND' or 'NOT IN'
												)),
											'posts_per_page'      => $related_post_count,
											'ignore_sticky_posts' => 1,
											'orderby'             => 'rand',
											'post__not_in'        => array($post->ID)
										));
									?>

									<?php if ( $is_related & $rel_posts->have_posts() ) : ?>
										<div class="article-related">
											<?php if ( !empty( $related_blog_title ) ) : ?>
												<h3><?php echo esc_html( $related_blog_title ) ?></h3>
											<?php endif; ?>

											<div class="row justify-content-center">
												<?php while( $rel_posts->have_posts() ) : $rel_posts->the_post();

													$rel_cats = get_the_category(); ?>

													<div class="col-lg-6 col-md-6">
														<div class="rb-single-recipes">
															<div class="recipes-image">
																<a href="<?php the_permalink(); ?>">
																	<img src="<?php echo get_the_post_thumbnail_url( get_the_ID(), 'guto_lite_dm_thumb_size' ); ?>" alt="<?php the_post_thumbnail_caption();  ?>">
																</a>
															</div>

															<div class="recipes-content">
																<?php if( !empty( $rel_cats ) ) : ?>
																	<span>
																		<?php echo esc_html( $rel_cats[0]->name ); ?>
																	</span>
																<?php endif; ?>
																<h3>
																	<a href="<?php the_permalink(); ?>"><?php the_title() ?></a>
																</h3>
																<p><?php echo esc_html(wp_trim_words( get_the_excerpt(), $related_excerpt, '' )); ?></p>

																<ul class="recipes-list">
																	<li> <?php echo esc_html(get_the_date('M d, Y')) ?></li>
																	<li>
																		<?php echo esc_html(guto_lite_reading_time()) ?>
																		<?php echo esc_html($rel_read_text); ?>
																	</li>
																	<li><?php comments_number(); ?></li>
																</ul>
															</div>
														</div>
													</div>
												<?php endwhile;
													wp_reset_postdata();
												?>
											</div>
										</div>
									<?php endif; ?>

									<?php
									// If comments are open or we have at least one comment, load up the comment template.
										if ( comments_open() || get_comments_number() ) :
											comments_template();
										endif;
									?>
								</div>
							</div>
						<?php endwhile; ?>

						<?php if( $rb_single_sidebar == 'right' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>

					</div>
				</div>
			</div>
		<?php elseif( $guto_lite_current_demo == 'online-health-coach' ) : ?>
			<div class="<?php echo esc_attr( $blog_style_class ); ?> ohc-blog-details-area ptb-100">
				<div class="container">
					<div class="row justify-content-center">
						<?php if( $blog_sidebar == 'left' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>
						<?php while (have_posts()) : the_post();

							$categories = get_the_category();
						?>
							<div class="<?php echo esc_attr( guto_lite_blog_sidebar() ); ?>">
								<div class="ohc-blog-details-desc">
									<?php if(has_post_thumbnail()) { ?>
										<div class="article-image">
											<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
										</div>
									<?php } ?>

									<div class="article-content">
										<div class="entry-meta">
											<ul>
												<li>
													<i class="bx bx-comment-dots"></i>
													<?php comments_number(); ?>
												</li>
												<li>
													<i class='bx bx-user-circle'></i>
													<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>"> <?php the_author() ?></a>
												</li>
												<li>
													<i class="bx bx-calendar"></i>
													<?php the_date(); ?>
												</li>
											</ul>
										</div>

										<?php the_content();

											wp_link_pages( array(
												'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'guto-lite' ),
												'after'  => '</div>',
											) );
										?>

									</div>
								</div>
								<?php
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
							</div>
						<?php endwhile; ?>

						<?php if( $blog_sidebar == 'right' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>

					</div>
				</div>
			</div>


		<?php elseif( $single_blog_style == 'style-2'): ?>
			<div id="content" class="<?php echo esc_attr( $blog_style_class ); ?> nm-blog-details-area ptb-80 blog-details-area">
				<div class="container">
					<div class="row justify-content-center">
						<?php if( $blog_sidebar == 'left' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>
						<?php
						while ( have_posts() ) :
						the_post();
						?>
							<div class="<?php echo esc_attr( guto_lite_blog_sidebar() ); ?>">
								<div class="nm-blog-details-content blog-details-desc">
									<?php if ( get_the_tags() ) {
										$post_tags = get_the_tags(); ?>
										<span class="tag"><?php echo esc_html($post_tags[0]->name) ?></span>
									<?php } ?>

									<h2><?php the_title(); ?></h2>

									<ul class="nm-date-admin">
										<li>
											<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>"> <?php the_author() ?></a>
										</li>
										<li>
											<?php the_date(); ?>
										</li>
									</ul>

									<?php if(has_post_thumbnail()) { ?>
										<div class="blog-img-1">
											<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
										</div>
									<?php } ?>

									<div class="article-content blog-details-content">

										<?php the_content();

										wp_link_pages( array(
											'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'guto-lite' ),
											'after'  => '</div>',
										) );
										?>

										<?php if ( get_the_tags() ) {  ?>
										<div class="post-tag-media">
											<ul class="tag">
												<li><span><?php esc_html_e('Tags:', 'guto-lite'); ?></span></li>
												<?php $post_tags = get_the_tags();
												foreach ($post_tags as $post_tag ) {  ?>
														<li><a href="<?php echo esc_url(get_tag_link($post_tag->term_id)); ?>">
															<?php echo esc_html($post_tag->name) ?></a>
														</li>
													<?php
												} ?>
											</ul>
										</div>
										<?php } ?>
									</div>
								</div>

								<?php
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
							</div>
						<?php endwhile; // End of the loop. ?>

						<?php if( $blog_sidebar == 'right' ): ?>
							<?php get_sidebar(); ?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		<?php elseif( $single_blog_style == 'style-1' || $single_blog_style == '' ) : ?>
			<?php if ( $guto_lite_current_demo == 'online-education'): ?>
				<div id="content" class="blog-details-area ptb-100">
					<div class="container">
						<div class="row justify-content-center">
							<?php if( $blog_sidebar == 'left' ): ?>
								<?php get_sidebar(); ?>
							<?php endif; ?>
							<?php
							while ( have_posts() ) :
							the_post();
							?>
								<div class="<?php echo esc_attr( guto_lite_blog_sidebar() ); ?>">
									<div class="oet-blog-details-desc">

										<?php if(has_post_thumbnail()) { ?>
											<div class="article-image">
												<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
											</div>
										<?php } ?>

										<div class="article-content blog-details-content">
											<div class="entry-meta">
												<ul>
													<li>
														<i class="bx bx-comment"></i>
														<?php comments_number(); ?>
													</li>
													<li>
														<i class="bx bx-group"></i>
														<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>"> <?php the_author() ?></a>
													</li>
													<li>
														<i class="bx bx-calendar"></i>
														<?php the_date(); ?>
													</li>
												</ul>
											</div>

											<?php the_content();

											wp_link_pages( array(
												'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'guto-lite' ),
												'after'  => '</div>',
											) );
											?>

											<?php if ( get_the_tags() ) {  ?>
											<div class="post-tag-media">
												<ul class="tag">
													<li><span><?php esc_html_e('Tags:', 'guto-lite'); ?></span></li>
													<?php $post_tags = get_the_tags();
													foreach ($post_tags as $post_tag ) {  ?>
															<li><a href="<?php echo esc_url(get_tag_link($post_tag->term_id)); ?>">
																<?php echo esc_html($post_tag->name) ?></a>
															</li>
														<?php
													} ?>
												</ul>
											</div>
											<?php } ?>
										</div>
									</div>

									<?php
										// If comments are open or we have at least one comment, load up the comment template.
										if ( comments_open() || get_comments_number() ) :
											comments_template();
										endif;
									?>
								</div>
							<?php endwhile; // End of the loop. ?>

							<?php if( $blog_sidebar == 'right' ): ?>
								<?php get_sidebar(); ?>
							<?php endif; ?>
						</div>
					</div>
				</div>
			<?php else: ?>
				<div id="content" class="<?php echo esc_attr( $blog_style_class ); ?> blog-details-area ptb-100">
					<div class="container">
						<div class="row justify-content-center">
							<?php if( $blog_sidebar == 'left' ): ?>
								<?php get_sidebar(); ?>
							<?php endif; ?>
							<?php
							while ( have_posts() ) :
							the_post();
							?>
								<div class="<?php echo esc_attr( guto_lite_blog_sidebar() ); ?>">
									<div class="blog-details-desc">

										<?php if(has_post_thumbnail()) { ?>
											<div class="article-image">
												<img src="<?php the_post_thumbnail_url('full') ?>" alt="<?php the_title_attribute(); ?>">
											</div>
										<?php } ?>

										<div class="article-content blog-details-content">
											<div class="entry-meta">
												<ul>
													<li>
														<i class="bx bx-comment"></i>
														<?php comments_number(); ?>
													</li>
													<li>
														<i class="bx bx-group"></i>
														<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>"> <?php the_author() ?></a>
													</li>
													<li>
														<i class="bx bx-calendar"></i>
														<?php the_date(); ?>
													</li>
												</ul>
											</div>

											<?php the_content();

											wp_link_pages( array(
												'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'guto-lite' ),
												'after'  => '</div>',
											) );
											?>

											<?php if ( get_the_tags() ) {  ?>
											<div class="post-tag-media">
												<ul class="tag">
													<li><span><?php esc_html_e('Tags:', 'guto-lite'); ?></span></li>
													<?php $post_tags = get_the_tags();
													foreach ($post_tags as $post_tag ) {  ?>
															<li><a href="<?php echo esc_url(get_tag_link($post_tag->term_id)); ?>">
																<?php echo esc_html($post_tag->name) ?></a>
															</li>
														<?php
													} ?>
												</ul>
											</div>
											<?php } ?>
										</div>
									</div>

									<?php
										// If comments are open or we have at least one comment, load up the comment template.
										if ( comments_open() || get_comments_number() ) :
											comments_template();
										endif;
									?>
								</div>
							<?php endwhile; // End of the loop. ?>
							<?php if( $blog_sidebar == 'right' ): ?>
								<?php get_sidebar(); ?>
							<?php endif; ?>
						</div>
					</div>
				</div>
			<?php endif; ?>
		<?php endif; ?>
		<!-- End Blog Details Area -->
	<?php endif; ?>

<?php
if ( $guto_lite_current_demo == 'online-health-coach'):
    $is_ohc_cta  = guto_lite_option('is_ohc_cta');
    $is_ohc_contact  = guto_lite_option('is_ohc_contact');

    if( $is_ohc_cta ):
        get_template_part( 'template-parts/footer/footer','cta-ohc' );
    endif;

    if( $is_ohc_contact ):
        get_template_part( 'template-parts/footer/footer','contact-info-ohc' );
    endif;
endif;

get_footer();
