<?php
/**
 * Template for 404
 *
 * @package     Guto Lite
 * @author      Guto Lite
 * @copyright   Copyright (c) 2020, Guto Lite
 * @link        https://wpGuto.com/
 * @since       Guto Lite 1.2.0
 */

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$guto_lite_title	 		   = guto_lite_option( 'error_title' );
$guto_lite_subtitle	 		   = guto_lite_option( 'error_subtitle' );
$guto_lite_back_to_home_label  = guto_lite_option('back_to_home_label' );
$guto_lite_image	 		   = guto_lite_option('404_image' );
$banner_section                = guto_lite_option( 'banner_style' );
$show_page_banner              = fw_get_db_post_option( get_the_ID(), 'show_page_banner' );

if (isset( $header_image[ 'url' ]) && $header_image[ 'url' ] != '') {
    $bg_image = 'style="background-image: url(' . $header_image[ 'url' ] . ')"';
    $bg_image2 = 'background-image: url(' . $header_image[ 'url' ] . ')';
} else {
    $bg_image = 'style=""';
    $bg_image2 = '';
}

// DM
$banner_shape1    = guto_lite_option( 'banner_shape1' );
$banner_shape2	  = guto_lite_option( 'banner_shape2' );

if ( $guto_lite_current_demo == 'digital-marketing'): ?>
    <div class="dm-page-banner-area <?php echo esc_attr($banner_section); ?>">
        <div class="container">
            <div class="dm-page-banner-content wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms">
                <h2><?php echo esc_html('404 Error', 'guto-lite'); ?></h2>
                <ul>
                    <li>
                        <a href="<?php echo esc_url( home_url('/') ); ?>">
                            <?php echo esc_html('Home', 'guto-lite'); ?>
                        </a>
                    </li>
                    <li class="active"><?php echo esc_html('404!', 'guto-lite'); ?></li>
                </ul>
            </div>
        </div>

        <?php if($banner_shape1): ?>
			<div class="dm-page-banner-image wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms">
                <img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
            </div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="dm-page-banner-circle-shape">
                <img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
            </div>
		<?php endif; ?>

    </div>
<?php elseif ( $guto_lite_current_demo == 'recipe-blog'): ?>
    <div class="rb-page-banner-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="rb-page-banner-content">
				<h2><?php echo esc_html('404 Error', 'guto-lite'); ?></h2>
			</div>
		</div>

		<?php if($banner_shape1): ?>
			<div class="rb-page-banner-shape-1"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>"></div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="rb-page-banner-shape-2"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>"></div>
		<?php endif; ?>
	</div>
<?php elseif ( $guto_lite_current_demo == 'motivational-speaker' ): ?>
    <!-- Start Page Title Area -->
    <div class="ms-page-title-area">
        <div class="container">
            <div class="ms-page-title-content">
                <?php echo esc_html('404 Error', 'guto-lite'); ?>
            </div>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'online-health-coach'): ?>
    <div class="ohc-page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="ohc-page-title-content">
                <ul>
                    <li>
                        <a href="<?php echo esc_url( home_url('/') ); ?>">
                            <?php echo esc_html('Home', 'guto-lite'); ?>
                        </a>
                    </li>
                    <li class="active"><?php echo esc_html('404!', 'guto-lite'); ?></li>
                </ul>
				<h2><?php echo esc_html('404 Error', 'guto-lite'); ?></h2>
			</div>
		</div>
	</div>
<?php elseif( $banner_section == 'style-6' ): ?>
    <div class="nm-page-title-area  <?php echo esc_attr($banner_section); ?>">
		<div class="container">
			<div class="nm-page-title-content">
                <h2><?php esc_html_e('404! Error Page', 'guto-lite'); ?></h2>
                <ul>
                    <li>
                        <a href="<?php echo esc_url( home_url('/') ); ?>">
                            <?php esc_html_e('Home', 'guto-lite'); ?>
                        </a>
                    </li>
                    <li class="active"><?php esc_html_e('404!', 'guto-lite'); ?></li>
                </ul>
			</div>
		</div>
	</div>
<?php endif; ?>


<div class="error-area ptb-100">
    <div class="container">
        <div class="error-content">

            <?php if($guto_lite_image): ?>
                <img src="<?php echo esc_url($guto_lite_image); ?>" alt="<?php echo esc_attr($guto_lite_title); ?>">
            <?php else: ?>
                <img src="<?php echo esc_url(GUTO_LITE_IMAGES.'/error.png');  ?>" alt="<?php echo esc_attr($guto_lite_title); ?>">
            <?php endif; ?>

            <h3><?php echo esc_html( $guto_lite_title ); ?></h3>
            <p><?php echo esc_html( $guto_lite_subtitle ); ?></p>
            <?php if( $guto_lite_back_to_home_label != '' ): ?>
                <a href="<?php echo esc_url(home_url('/'));?>" class="default-btn"><i class='bx bx-home-circle'></i> <?php echo esc_html($guto_lite_back_to_home_label);?></a>
            <?php endif; ?>
        </div>
    </div>
</div>
