<?php
/**
 * The newsletter style two for Guto Lite Theme.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$ohc_cta_top_title    = guto_lite_option('ohc_cta_top_title');
$ohc_cta_title        = guto_lite_option('ohc_cta_title');
$ohc_cta_desc         = guto_lite_option('ohc_cta_desc');
$cta_btn_text         = guto_lite_option('cta_btn_text');
$cta_btn_link         = guto_lite_option('cta_btn_link');
$cta_shape_img        = guto_lite_option('cta_shape_img');
$cta_shape_img2       = guto_lite_option('cta_shape_img2');

?>

<div class="ohc-cta-area ptb-100">
    <div class="container">
        <div class="ohc-cta-content">
            <?php if($ohc_cta_top_title): ?>
                <span class="sub-title"><?php echo esc_html($ohc_cta_top_title); ?></span>
            <?php endif; ?>
            <?php if($ohc_cta_title): ?>
                <h2><?php echo esc_html($ohc_cta_title); ?></h2>
            <?php endif; ?>
            <?php if($ohc_cta_desc): ?>
                <p><?php echo esc_html($ohc_cta_desc); ?></p>
            <?php endif; ?>

            <a href="<?php echo esc_url( $cta_btn_link ); ?>" class="ohc-default-btn"><i class='bx bxs-user'></i> <?php echo esc_html($cta_btn_text); ?></a>
        </div>
    </div>

    <?php if($cta_shape_img !=' ') : ?>
        <div class="ohc-cta-shape-1 wow fadeInLeft" data-wow-delay="300ms" data-wow-duration="1500ms">
            <img src="<?php echo esc_url( $cta_shape_img ); ?>" alt="<?php echo esc_attr__('Image', 'guto-lite');?>">
        </div>
    <?php endif; ?>
    <?php if($cta_shape_img2 !=' ') : ?>
        <div class="ohc-cta-shape-2 wow fadeInRight" data-wow-delay="300ms" data-wow-duration="1500ms">
            <img src="<?php echo esc_url( $cta_shape_img2 ); ?>" alt="<?php echo esc_attr__('Image', 'guto-lite');?>">
        </div>
    <?php endif; ?>

</div>