<?php
/**
 * The newsletter for Guto Lite Theme.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

$instagram_title        = guto_lite_option('instagram_title');
$items 	                = guto_lite_option('footer_instagram_list');
?>

<!-- Start RB Instagram Area -->
<div class="rb-instagram-area ptb-100">
    <div class="container">
        <?php if($instagram_title): ?>
            <div class="rb-section-title">
                <h2><?php echo esc_html($instagram_title); ?></h2>
            </div>
        <?php endif; ?>

        <div class="rb-instagram-slider owl-theme owl-carousel  wow fadeInUp" data-wow-delay="300ms" data-wow-duration="1500ms">
            <?php if( $items ) { ?>
                <?php if(is_array($items) && !empty($items)) : ?>
                    <?php foreach( $items as $index => $item ) : ?>
                        <div class="rb-instagram-item">
                            <?php if($item['ins_image']) : ?>
                                <img src="<?php echo wp_get_attachment_url( $item['ins_image'] ); ?>" alt="<?php echo esc_attr__('Instagram', 'guto-lite') ?>">
                            <?php endif; ?>

                            <a href="<?php echo esc_url($item['ins_url']) ?>" target="_blank">
                                <i class='bx bxl-instagram-alt'></i>
                            </a>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>
            <?php } ?>
        </div>
    </div>
</div>
