<?php
/**
 * The newsletter style two for Guto Lite Theme.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$newsletter_top_title        = guto_lite_option('newsletter_top_title');
$newsletter_title        	 = guto_lite_option('newsletter_title');
$newsletter_action_url       = guto_lite_option('newsletter_action_url');
$newsletter_pt       	     = guto_lite_option('newsletter_pt');
$newsletter_button       	 = guto_lite_option('newsletter_button');
$newsletter_left_img         = guto_lite_option('newsletter_left_img');
$newsletter_right_img        = guto_lite_option('newsletter_right_img');

?>

    <div class="dm-newsletter-area pb-100">
        <div class="container">
            <div class="dm-newsletter-inner-box">
                <div class="row align-items-center">
                    <div class="col-lg-8 col-md-12">
                        <div class="dm-newsletter-content">
                            <?php if($newsletter_title): ?>
                                <h2><?php echo esc_html($newsletter_title); ?></h2>
                            <?php endif; ?>
                            <?php if($newsletter_top_title): ?>
                                <p><?php echo esc_html($newsletter_top_title); ?></p>
                            <?php endif; ?>

                            <form class="mailchimp newsletter-form" method="post">
                                <input type="email" class="input-newsletter memail" placeholder="<?php echo esc_attr($newsletter_pt); ?>" name="EMAIL" required>
                                <?php if($newsletter_button): ?>
                                    <button type="submit"> <?php echo esc_html($newsletter_button); ?></button>
                                <?php endif; ?>
                                <p class="mchimp-errmessage" style="display: none;"></p>
                                <p class="mchimp-sucmessage" style="display: none;"></p>
                            </form>
                        </div>
                    </div>

                    <?php if($newsletter_right_img): ?>
                        <div class="col-lg-4 col-md-12">
                            <div class="dm-newsletter-image"><img src="<?php echo esc_url($newsletter_right_img);  ?>" alt="<?php echo esc_attr($newsletter_title); ?>"></div>
                        </div>
                    <?php endif; ?>
                </div>

                <?php if($newsletter_left_img): ?>
                    <div class="dm-newsletter-shape"><img src="<?php echo esc_url($newsletter_left_img);  ?>" alt="<?php echo esc_attr($newsletter_title); ?>"></div>
                <?php endif; ?>
            </div>
        </div>
    </div>