<?php
/**
 * The newsletter style two for Guto Lite Theme.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$is_newsletter               = guto_lite_option('is_newsletter');
$newsletter_top_title        = guto_lite_option('newsletter_top_title');
$newsletter_title        	 = guto_lite_option('newsletter_title');
$newsletter_desc        	 = guto_lite_option('newsletter_desc');
$newsletter_pt       	     = guto_lite_option('newsletter_pt');
$newsletter_button       	 = guto_lite_option('newsletter_button');
$newsletter_img              = guto_lite_option('newsletter_img');
$newsletter_shape_img        = guto_lite_option('newsletter_shape_img');

if ( defined( 'FW' ) ) {
    global $wp_query;
    $is_newsletter	= fw_get_db_post_option( get_the_ID(), 'show_newsletter_section' );
    if ( isset( $wp_query ) && (bool) $wp_query->is_posts_page ) {
        $is_newsletter  = guto_lite_option('is_newsletter');
    } else {
        if($is_newsletter != null):
            $is_newsletter	= fw_get_db_post_option( get_the_ID(), 'show_newsletter_section' );
        else:
            $is_newsletter  = guto_lite_option('is_newsletter');
        endif;
    }
}else{
    $is_newsletter = guto_lite_option('is_newsletter');
}

if( $is_newsletter ): ?>
<div class="ohc-newsletter-area">
    <div class="container">
        <div class="ohc-newsletter-inner-box">
            <div class="row align-items-center">
                <div class="col-lg-6 col-md-12">
                    <div class="ohc-subscribe-content">
                        <?php if($newsletter_top_title): ?>
                            <span class="sub-title"><?php echo esc_html($newsletter_top_title); ?></span>
                        <?php endif; ?>
                        <?php if($newsletter_title): ?>
                            <h2><?php echo esc_html($newsletter_title); ?></h2>
                        <?php endif; ?>
                        <?php if($newsletter_desc): ?>
                            <p><?php echo esc_html($newsletter_desc); ?></p>
                        <?php endif; ?>

                        <form class="mailchimp newsletter-form" method="post">
                            <input type="email" class="input-newsletter memail" placeholder="<?php echo esc_attr($newsletter_pt); ?>" name="EMAIL" required>

                            <?php if($newsletter_button): ?>
                                <button type="submit" class="ohc-default-btn"><i class="bx bxs-user"></i> <?php echo esc_html($newsletter_button); ?></button>
                            <?php endif; ?>
                            <p class="mchimp-errmessage" style="display: none;"></p>
                            <p class="mchimp-sucmessage" style="display: none;"></p>
                        </form>

                    </div>
                </div>

                <?php if($newsletter_img !=' ') : ?>
                    <div class="col-lg-6 col-md-12">
                        <div class="ohc-subscribe-image">
                            <img src="<?php echo esc_url( $newsletter_img ); ?>" alt="<?php echo esc_attr__('Image', 'guto-lite');?>">
                        </div>
                    </div>
                <?php endif; ?>
            </div>

            <?php if($newsletter_shape_img !=' ') : ?>
                <div class="ohc-newsletter-shape">
                    <img src="<?php echo esc_url( $newsletter_shape_img ); ?>" alt="<?php echo esc_attr__('Shape', 'guto-lite');?>">
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<?php endif; ?>