<?php
/**
 * The newsletter style two for Guto Lite Theme.
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$is_newsletter               = guto_lite_option('is_newsletter');
$newsletter_top_title        = guto_lite_option('newsletter_top_title');
$newsletter_title        	 = guto_lite_option('newsletter_title');
$newsletter_pt       	     = guto_lite_option('newsletter_pt');
$newsletter_button       	 = guto_lite_option('newsletter_button');
$newsletter_bg_img           = guto_lite_option('newsletter_bg_img');

if ( defined( 'FW' ) ) {
    global $wp_query;
    $is_newsletter	= fw_get_db_post_option( get_the_ID(), 'show_newsletter_section' );
    if ( isset( $wp_query ) && (bool) $wp_query->is_posts_page ) {
        $is_newsletter  = guto_lite_option('is_newsletter');
    } else {
        if($is_newsletter != null):
            $is_newsletter	= fw_get_db_post_option( get_the_ID(), 'show_newsletter_section' );
        else:
            $is_newsletter  = guto_lite_option('is_newsletter');
        endif;
    }
}else{
    $is_newsletter = guto_lite_option('is_newsletter');
}

if( $is_newsletter ): ?>
<div class="rb-newsletter-area ptb-100" style="background-image:url(<?php echo esc_url( $newsletter_bg_img ); ?>);">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-7">
                <div class="rb-newsletter-content wow fadeInUp" data-wow-delay="350ms" data-wow-duration="1500ms">
                    <?php if($newsletter_title): ?>
                        <h2><?php echo esc_html($newsletter_title); ?></h2>
                    <?php endif; ?>
                    <?php if($newsletter_top_title): ?>
                        <p><?php echo esc_html($newsletter_top_title); ?></p>
                    <?php endif; ?>
                </div>
            </div>

            <div class="col-lg-5">
                <form class="mailchimp newsletter-form rb-newsletter-form wow fadeInUp" method="post">
                    <div class="form-group">
                        <input type="email" class="form-control memail" placeholder="<?php echo esc_attr($newsletter_pt); ?>" name="EMAIL" required>
                    </div>

                    <?php if($newsletter_button): ?>
                        <button type="submit" class="rb-default-btn"> <?php echo esc_html($newsletter_button); ?></button>
                    <?php endif; ?>
                    <p class="mchimp-errmessage" style="display: none;"></p>
                    <p class="mchimp-sucmessage" style="display: none;"></p>
                </form>
            </div>
        </div>
    </div>
</div>
<?php endif; ?>