<?php
/**
 * Page Header
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

/**
 * Banner Options
 */
$banner_section 		= guto_lite_option( 'banner_style' );
$banner_shape1 			= guto_lite_option( 'banner_shape1' );
$banner_shape2		 	= guto_lite_option( 'banner_shape2' );
$show_page_banner		= guto_lite_option( 'enable_course_page_banner' );
$page_banner_img		= guto_lite_option( 'course_banner_background_setting' );
$bg_image 				= 'style="background-image: url(' . $page_banner_img . ')"';
$page_show_breadcrumb	= true;
$page_title 			= learn_press_page_title(false);
$rating					= '';

/**
 * Single Course
 */
if(is_single() && 'lp_course' == get_post_type()){
	$rating		 = guto_lite_option( 'course_banner_rating' );
	$page_title = get_the_title();

	if ( defined( 'FW' ) ) {

		// Post settings
		$image		     			= fw_get_db_post_option( get_the_ID(), 'course_header_image' );
		$page_show_breadcrumb    	= fw_get_db_post_option( get_the_ID(), 'course_show_breadcrumb' );
		$show_page_banner   		= fw_get_db_post_option( get_the_ID(), 'course_show_page_banner' );

		// Background Image
		if($image != ''):
			$bg_image = 'style="background-image: url(' . $image[ 'url' ] . ')"';
		else:
			$bg_image = '';
		endif;

	}else {
		$bg_image               = 'style="background-image: url(' . GUTO_LITE_IMAGES_URI . '/page-title/page-title-bg1.jpg)"';
		$show_page_banner       = true;
		$page_show_breadcrumb   = true;
	}
}

if($show_page_banner ){
	if ( $guto_lite_current_demo == 'digital-marketing' ): ?>
		<div class="dm-page-banner-area  <?php echo esc_attr($banner_section); ?>">
			<div class="container">
				<div class="dm-page-banner-content wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms">

					<h2><?php echo esc_html($page_title); ?></h2>

					<?php if ($page_show_breadcrumb): ?>
						<?php guto_lite_get_breadcrumbs(); ?>
					<?php endif; ?>
				</div>
			</div>

			<?php if($banner_shape1): ?>
				<div class="dm-page-banner-image wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms">
					<img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
				</div>
			<?php endif; ?>

			<?php if($banner_shape2): ?>
				<div class="dm-page-banner-circle-shape">
					<img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
				</div>
			<?php endif; ?>
		</div>
	<?php elseif( $show_page_banner && $guto_lite_current_demo == 'motivational-speaker' ) : ?>
		<!-- Start Page Title Area -->
		<div class="ms-page-title-area" <?php echo wp_kses_post( $bg_image ); ?>>
			<div class="container">
				<div class="ms-page-title-content">
					<h2><?php echo esc_html($page_title); ?></h2>
				</div>
			</div>
		</div>
	<?php elseif( $show_page_banner && $guto_lite_current_demo == 'life-coaching' ) : ?>
		<!-- Start Page Title Area -->
		<div class="lc-page-title-area" <?php echo wp_kses_post( $bg_image ); ?>>
			<div class="container">
				<div class="lc-page-title-content">
					<h2><?php echo esc_html($page_title); ?></h2>
				</div>
			</div>
		</div>
	<?php elseif( $guto_lite_current_demo == 'online-health-coach' ) : ?>
		<div class="ohc-page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
			<div class="container">
				<div class="ohc-page-title-content">
					<?php if ($page_show_breadcrumb): ?>
						<ul>
							<li>
								<a href="<?php echo esc_url( home_url('/') ); ?>">
									<?php esc_html_e('Home', 'guto-lite'); ?>
								</a>
							</li>
							<li><?php echo esc_html($page_title); ?></li>
						</ul>
					<?php endif; ?>
					<h2><?php echo esc_html($page_title); ?></h2>
					<?php if($rating): ?>
						<div class="rating">
							<?php guto_course_ratings(); ?>
							<div class="rating-count">
								<span> (<?php guto_course_ratings_count(); ?> <?php echo esc_html($rating); ?>)</span>
							</div>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
	<?php elseif( $banner_section == 'style-6' ): ?>
		<!-- Start NM Page Title Area -->
		<div class="nm-page-title-area  <?php echo esc_attr($banner_section); ?>">
			<div class="container">
				<div class="nm-page-title-content">
					<h2><?php echo esc_html($page_title); ?></h2>

					<?php if ($page_show_breadcrumb): ?>
						<?php guto_lite_get_breadcrumbs(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
	<?php elseif( $banner_section == 'style-1' || $banner_section == 'style-2' || $banner_section == '' ): ?>
		<div class="page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
			<div class="container">
				<div class="page-title-content">
					<h2><?php echo esc_html($page_title); ?></h2>

					<?php if ($page_show_breadcrumb): ?>
						<?php guto_lite_get_breadcrumbs(); ?>
					<?php endif; ?>
				</div>
			</div>

			<?php if($banner_shape1): ?>
				<div class="shape9"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr($page_title); ?>"></div>
			<?php endif; ?>

			<?php if($banner_shape2): ?>
				<div class="shape10"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr($page_title); ?>"></div>
			<?php endif; ?>

		</div>
	<?php endif;

}
