<?php
/**
 * Services Header
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

/**
 * Banner Shape Images
 */
$banner_section 		= guto_lite_option( 'banner_style' );
$banner_shape1 			= guto_lite_option( 'banner_shape1' );
$banner_shape2		 	= guto_lite_option( 'banner_shape2' );

if ( defined( 'FW' ) ) {
	/**
	 * Banner Shape Images
	 */
	$header_image		 = fw_get_db_post_option( get_the_ID(), 'project_header_image' );
	$show_top_title      = fw_get_db_post_option( get_the_ID(), 'show_project_banner_top_title' );
    $show_project_banner    = fw_get_db_post_option( get_the_ID(), 'show_project_banner' );
    $top_title    		 = fw_get_db_post_option( get_the_ID(), 'project_banner_top_title' );
    $project_title    		 = fw_get_db_post_option( get_the_ID(), 'project_banner_title' );

	if (isset( $header_image[ 'url' ]) && $header_image[ 'url' ] != '') {
		$bg_image = 'style="background-image: url(' . $header_image[ 'url' ] . ')"';
		$bg_image2 = 'background-image: url(' . $header_image[ 'url' ] . ')';
	} else {
	    $bg_image = 'style="background-image: url(' . GUTO_LITE_IMAGES_URI . '/page-title/page-title-bg1.jpg)"';
	    $bg_image2 = 'background-image: url(' . GUTO_LITE_IMAGES_URI . '/page-title/page-title-bg1.jpg)';
	}

	// Banner Title
	if(isset($project_title ) && $project_title != ''){
		$project_banner_title = $project_title;
	}else{
		$project_banner_title = get_the_title();
	}

	// Top Title
    if ( isset( $show_top_title ) ) {
		$project_show_top_title = $show_top_title;
	}else {
		$project_show_top_title = $global_project_show_top_title;
	}

}else {
	$bg_image               = 'style="background-image: url(' . GUTO_LITE_IMAGES_URI . '/page-title/page-title-bg1.jpg)"';
	$bg_image2              = 'background-image: url(' . GUTO_LITE_IMAGES_URI . '/page-title/page-title-bg1.jpg)';
	$project_banner_title      = get_the_title();
	$show_project_banner       = 'yes';
	$banner_shape1 			= '' . GUTO_LITE_IMAGES_URI . '/shape9.png';
	$banner_shape2		 	= '' . GUTO_LITE_IMAGES_URI . '/shape10.png';
}

if ( $show_project_banner && $guto_lite_current_demo == 'digital-marketing' ): ?>
	<div class="dm-page-banner-area  <?php echo esc_attr($banner_section); ?>">
		<div class="container">
			<div class="dm-page-banner-content wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms">
				<h2><?php echo esc_html($project_banner_title); ?></h2>
				<ul>
					<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
					<li class="active"><?php echo esc_html($project_banner_title); ?></li>
				</ul>
			</div>
		</div>

		<?php if($banner_shape1): ?>
            <div class="dm-page-banner-image wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms">
                <img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
            </div>
        <?php endif; ?>

        <?php if($banner_shape2): ?>
            <div class="dm-page-banner-circle-shape">
                <img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr__('image','guto-lite'); ?>">
            </div>
        <?php endif; ?>
	</div>
<?php elseif ( $show_project_banner && $guto_lite_current_demo == 'coworking-space' ): ?>
	<div class="cws-page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="cws-page-title-content">
				<div class="row align-items-center">
					<div class="col-lg-9 col-md-12">
						<h2><?php echo esc_html($project_banner_title); ?></h2>
					</div>
					<div class="col-lg-3 col-md-12">
						<ul>
							<li><a href="<?php echo esc_url( get_home_url( '/' ) ); ?>"><?php esc_html_e('Home', 'guto-lite'); ?></a></li>
							<li class="active"><?php echo esc_html($project_banner_title); ?></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php elseif ( $show_project_banner && $guto_lite_current_demo == 'freelancer' ): ?>
	<div class="fl-page-title-area">
		<div class="container">
			<div class="page-title-content">
				<h2><?php the_title(); ?></h2>
			</div>
		</div>
		<div class="divider"></div>
	</div>
<?php elseif ( $show_project_banner && $guto_lite_current_demo == 'motivational-speaker' ): ?>
    <!-- Start Page Title Area -->
    <div class="ms-page-title-area">
        <div class="container">
            <div class="ms-page-title-content">
                <h2><?php the_title(); ?></h2>
            </div>
        </div>
    </div>
<?php elseif ( $show_project_banner && $guto_lite_current_demo == 'life-coaching' ): ?>
    <!-- Start Page Title Area -->
    <div class="lc-page-title-area">
        <div class="container">
            <div class="lc-page-title-content">
                <h2><?php the_title(); ?></h2>
            </div>
        </div>
        <div class="divider"></div>
    </div>
    <!-- End Page Title Area -->
<?php elseif ( $show_project_banner && $guto_lite_current_demo == 'recipe-blog' ): ?>
	<div class="rb-page-banner-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="rb-page-banner-content wow fadeInUp" data-wow-delay="100ms" data-wow-duration="1000ms">
				<h2><?php echo esc_html($project_banner_title); ?></h2>
			</div>
		</div>

		<?php if($banner_shape1): ?>
			<div class="rb-page-banner-shape-1 wow fadeInLeft" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr($project_banner_title); ?>"></div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="rb-page-banner-shape-2 wow fadeInRight" data-wow-delay="100ms" data-wow-duration="1000ms"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr($project_banner_title); ?>"></div>
		<?php endif; ?>
	</div>
<?php elseif( $show_project_banner && $banner_section == 'style-6' ): ?>
	<!-- Start NM Page Title Area -->
	<div class="nm-page-title-area  <?php echo esc_attr($banner_section); ?>">
		<div class="container">
			<div class="nm-page-title-content">
				<h2><?php echo esc_html($project_banner_title); ?></h2>
				<ul>
					<li>
						<a href="<?php echo esc_url( home_url('/') ); ?>">
							<?php esc_html_e('Home', 'guto-lite'); ?>
						</a>
					</li>
					<li class="active"><?php the_title(); ?></li>
				</ul>
			</div>
		</div>
	</div>
<?php elseif( $show_project_banner && $banner_section == 'style-1' || $show_project_banner && $banner_section == 'style-2' || $show_project_banner && $banner_section == '' ): ?>
	<div class="page-title-area <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
		<div class="container">
			<div class="page-title-content">
				<?php if(isset($top_title) && $top_title != ''): ?>
					<span class="sub-title"><?php echo esc_html($top_title); ?></span>
                <?php endif; ?>
                <h2><?php echo esc_html($project_banner_title); ?></h2>
				<ul>
					<li>
						<a href="<?php echo esc_url( home_url('/') ); ?>">
							<?php esc_html_e('Home', 'guto-lite'); ?>
						</a>
					</li>
					<li class="active"><?php the_title(); ?></li>
				</ul>
			</div>
		</div>

		<?php if($banner_shape1): ?>
			<div class="shape9"><img src="<?php echo esc_url($banner_shape1); ?>" alt="<?php echo esc_attr($project_banner_title); ?>"></div>
		<?php endif; ?>

		<?php if($banner_shape2): ?>
			<div class="shape10"><img src="<?php echo esc_url($banner_shape2); ?>" alt="<?php echo esc_attr($project_banner_title); ?>"></div>
		<?php endif; ?>

	</div>
<?php endif;
