<?php
/**
 * Primary Nav
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

if ( defined( 'FW' ) ) {
    // Page settings
    $custom_logo	 = fw_get_db_post_option( get_the_ID(), 'custom_logo' );
}
$default_logo = guto_lite_option('site_logo');
if(isset($custom_logo['url']) && $custom_logo['url'] !=''){
    $logo = $custom_logo['url'];
}else{
    $logo = guto_lite_option('site_logo');
}

$navigation_style   = guto_lite_option('navigation_style');
$mobile_logo        = guto_lite_option('mobile_logo');
$nav_search         = guto_lite_option('nav_search');
$search_pl          = guto_lite_option('nav_search_title');
$nav_cart           = guto_lite_option('nav_cart');
$button             = guto_lite_option('nav_button_title');
$button_link        = guto_lite_option('nav_button_link');
$button_icon        = guto_lite_option('nav_button_icon');
$target             = guto_lite_option('nav_button_link_target');
$nav_call_us        = guto_lite_option('nav_call_us');
$nav_call_text      = guto_lite_option('nav_call_text');
$nav_call_icon      = guto_lite_option('nav_call_icon');
$nav_call_number    = guto_lite_option('nav_call_number');
$nav_call_link      = guto_lite_option('nav_call_link');
$social_links       = guto_lite_option('nav_social_links');

// WP admin bar
$hide_wp_nav = 'hide-wp-nav';

if( $button_icon == '' ) :
    $button_icon  = 'bx bx-plus';
endif;

if ( $guto_lite_current_demo == 'coworking-space' ) :
    $d_btn_class   = 'cws-default-btn';
    $cs_nav_class  = 'cws-navbar-area';
else :
    $d_btn_class   = 'default-btn';
    $cs_nav_class  = '';
endif;

if ( $guto_lite_current_demo == 'digital-marketing') : ?>
    <div class="dm-navbar-area <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
        <div class="dm-guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="dm-guto-nav">
            <div class="container">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if(!empty($logo)): ?>
                            <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                        <?php else: ?>
                            <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                        <?php endif ?>
                    </a>
                    <div class="collapse navbar-collapse mean-menu" style="display: block;">
                        <?php if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav m-auto',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'Guto_Bootstrap_Navwalker::fallback',
                                )
                            );
                        } ?>

                        <div class="others-option d-flex align-items-center">
                            <?php if( $nav_search ) : ?>
                                <div class="option-item">
                                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-box" method="get">
                                        <input type="text" class="input-search" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="s" autocomplete="off" required>
                                        <button type="submit">
                                            <i class='bx bx-search'></i>
                                        </button>
                                    </form>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </nav>
            </div>
        </div>

        <div class="others-option-for-responsive">
            <div class="container">
                <div class="dot-menu">
                    <div class="inner">
                        <div class="circle circle-one"></div>
                        <div class="circle circle-two"></div>
                        <div class="circle circle-three"></div>
                    </div>
                </div>
                <div class="container">
                    <div class="option-inner">
                        <div class="others-option d-flex align-items-center">

                            <?php if( $nav_search ) : ?>
                                <div class="option-item">
                                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-box" method="get">
                                        <input type="text" class="input-search" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="s" autocomplete="off" required>
                                        <button type="submit">
                                            <i class='bx bx-search'></i>
                                        </button>
                                    </form>
                                </div>
                            <?php endif; ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'freelancer') : ?>
    <div class="fl-navbar-area navbar-area <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
        <div class="guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="guto-nav">
            <div class="container">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if(!empty($logo)): ?>
                            <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                        <?php else: ?>
                            <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                        <?php endif ?>
                    </a>
                    <div class="collapse navbar-collapse mean-menu">
                        <?php if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'Guto_Bootstrap_Navwalker::fallback',
                                )
                            );
                        } ?>
                    </div>
                </nav>
            </div>
        </div>
    </div>
<?php elseif ( $guto_lite_current_demo == 'lifestyle-blog') :

    $nav_account = guto_lite_option('nav_account');

    ?>
    <!-- Start Navbar Area -->
    <div class="navbar-area fls-nav-area <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
        <div class="guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <?php echo esc_html(get_bloginfo()); ?>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="guto-nav">
            <div class="container">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if(!empty($logo)): ?>
                            <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                        <?php else: ?>
                            <?php echo esc_html(get_bloginfo()); ?>
                        <?php endif ?>
                    </a>

                    <?php if($nav_search): ?>

                        <div class="fls-nav-form">
                            <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                                <input type="text" class="form-control" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="s" autocomplete="off" required>
                                <button type="submit" class="btn">
                                    <i class='bx bx-search'></i>
                                </button>
                            </form>
                        </div>

                    <?php endif; ?>
                    <div class="collapse navbar-collapse mean-menu">

                        <?php
                        if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'Guto_Bootstrap_Navwalker::fallback',
                                )
                            );
                        }
                        ?>
                        <div class="others-option d-flex align-items-center">

                            <?php if (class_exists('WooCommerce')): ?>
                                <?php if($nav_cart): ?>
                                    <div class="option-item">
                                        <div class="cart">
                                            <a href="<?php echo esc_url(wc_get_cart_url()) ?>">
                                                <i class='bx bx-cart'></i>
                                                <span class="mini-cart-count"></span>
                                            </a>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>

                            <?php if (class_exists('WooCommerce')): ?>
                                <?php if($nav_account): ?>
                                    <div class="option-item">
                                        <div class="account">
                                            <a href="<?php echo get_home_url(); ?>/my-account/">
                                                <i class='bx bxs-user'></i>
                                            </a>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </nav>
            </div>
        </div>
        <div class="others-option-for-responsive">
            <div class="container">
                <div class="dot-menu">
                    <div class="inner">
                        <div class="circle circle-one"></div>
                        <div class="circle circle-two"></div>
                        <div class="circle circle-three"></div>
                    </div>
                </div>
                <div class="container">
                    <div class="option-inner">
                        <div class="others-option d-flex align-items-center justify-content-center">
                            <?php if (class_exists('WooCommerce')): ?>
                                <?php if($nav_cart): ?>
                                    <div class="option-item">
                                        <div class="cart">
                                            <a href="<?php echo esc_url(wc_get_cart_url()) ?>">
                                                <i class='bx bx-cart'></i>
                                                <span class="mini-cart-count"></span>
                                            </a>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>

                            <?php if (class_exists('WooCommerce')): ?>
                                <?php if($nav_account): ?>
                                    <div class="option-item">
                                        <div class="account">
                                            <a href="<?php echo get_home_url(); ?>/my-account/">
                                                <i class='bx bxs-user'></i>
                                            </a>
                                        </div>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End Navbar Area -->
<?php elseif ( $guto_lite_current_demo == 'motivational-speaker') : ?>
    <!-- Start Motivational Speaker Area -->
    <div class="ms-navbar-area <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
        <div class="ms-guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <?php echo esc_html(get_bloginfo()); ?>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="ms-guto-nav">
            <div class="container-lg">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if(!empty($logo)): ?>
                            <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                        <?php else: ?>
                            <?php echo esc_html(get_bloginfo()); ?>
                        <?php endif ?>
                    </a>
                    <div class="collapse navbar-collapse ms-mean-menu">
                        <?php if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'Guto_Bootstrap_Navwalker::fallback',
                                )
                            );
                        } ?>
                        <?php if($nav_search): ?>
                            <div class="others-option d-flex align-items-center">
                                <div class="option-item">
                                    <div class="search-box">
                                        <i class='bx bx-search'></i>
                                    </div>
                                </div>
                            </div>
                        <?php endif; ?>
                    </div>
                </nav>
            </div>
        </div>
    </div>
    <?php if($nav_search): ?>
    <!-- Search Overlay -->
    <div class="ms-search-overlay">
        <div class="d-table">
            <div class="d-table-cell">
                <div class="search-overlay-layer"></div>
                <div class="search-overlay-layer"></div>
                <div class="search-overlay-layer"></div>
                <div class="search-overlay-close">
                    <span class="search-overlay-close-line"></span>
                    <span class="search-overlay-close-line"></span>
                </div>
                <div class="search-overlay-form">
                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                        <input type="text" class="input-search" name="s" placeholder="<?php echo esc_attr( $search_pl ); ?>">
                        <button type="submit"><i class='bx bx-search'></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
<?php elseif ( $guto_lite_current_demo == 'life-coaching' ) : ?>
    <!-- Start Life Coaching Area -->
    <div class="lc-navbar-area <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
        <div class="lc-guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <h2><?php echo esc_html(get_bloginfo()); ?></h2>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="lc-guto-nav">
            <div class="container-lg">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if(!empty($logo)): ?>
                            <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                        <?php else: ?>
                            <h2><?php echo esc_html(get_bloginfo()); ?></h2>
                        <?php endif ?>
                    </a>
                    <div class="collapse navbar-collapse lc-mean-menu">
                        <?php if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'Guto_Bootstrap_Navwalker::fallback',
                                )
                            );
                        } ?>
                        <?php if( $nav_search || $nav_cart ): ?>
                            <div class="others-option d-flex align-items-center">
                                <?php if( $nav_search ) : ?>
                                    <div class="option-item">
                                        <div class="search-box">
                                            <i class='bx bx-search'></i>
                                        </div>
                                    </div>
                                <?php endif; ?>
                                <?php if (class_exists('WooCommerce') && $nav_cart ): ?>
                                    <div class="option-item">
                                        <a href="<?php echo esc_url(wc_get_cart_url()) ?>" class="cart-btn">
                                            <i class='bx bx-shopping-bag'></i>
                                            <span class="mini-cart-count"></span>
                                        </a>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </nav>
            </div>
        </div>
    </div>
    <?php if($nav_search): ?>
    <!-- Search Overlay -->
    <div class="search-overlay">
        <div class="d-table">
            <div class="d-table-cell">
                <div class="search-overlay-layer"></div>
                <div class="search-overlay-layer"></div>
                <div class="search-overlay-layer"></div>
                <div class="search-overlay-close">
                    <span class="search-overlay-close-line"></span>
                    <span class="search-overlay-close-line"></span>
                </div>
                <div class="search-overlay-form">
                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                        <input type="text" class="input-search" name="s" placeholder="<?php echo esc_attr( $search_pl ); ?>">
                        <button type="submit"><i class='bx bx-search'></i></button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- End Search Overlay -->
    <?php endif; ?>
    <!-- End Life Coaching Area -->
<?php elseif ( $guto_lite_current_demo == 'recipe-blog') : ?>
    <div class="rb-navbar-area  <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
        <div class="rb-guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="rb-guto-nav">
            <div class="container">
                <nav class="navbar navbar-expand-md navbar-light">
                    <?php if( is_array( $social_links ) && ! empty( $social_links ) ) : ?>
                        <ul class="navbar-brand-social">
                            <?php foreach ( $social_links as $index => $item ) : ?>
                                <li>
                                    <a href="<?php echo esc_url($item['social_url']) ?>" target="_blank">
                                        <i class="<?php echo esc_attr($item['social_icon']) ?>"></i>
                                    </a>
                                </li>
                            <?php endforeach; ?>
                        </ul>
                    <?php endif; ?>

                    <div class="collapse navbar-collapse mean-menu">

                        <?php if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav m-auto',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'Guto_Bootstrap_Navwalker::fallback',
                                )
                            );
                        } ?>

                        <div class="others-option d-flex align-items-center">
                            <?php if( $nav_search ) : ?>
                                <div class="option-item">
                                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-box" method="get">
                                        <input type="text" class="input-search" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="s" autocomplete="off" required>
                                        <button type="submit">
                                            <i class='bx bx-search'></i>
                                        </button>
                                    </form>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </nav>
            </div>
        </div>

        <div class="others-option-for-responsive">
            <div class="container">
                <div class="dot-menu">
                    <div class="inner">
                        <div class="circle circle-one"></div>
                        <div class="circle circle-two"></div>
                        <div class="circle circle-three"></div>
                    </div>
                </div>
                <div class="container">
                    <div class="option-inner">
                        <div class="others-option d-flex align-items-center">
                            <?php if( $nav_search ) : ?>
                                <div class="option-item">
                                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-box" method="get">
                                        <input type="text" class="input-search" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="s" autocomplete="off" required>
                                        <button type="submit">
                                            <i class='bx bx-search'></i>
                                        </button>
                                    </form>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php elseif( $navigation_style == 'style-4' ) : ?>
    <div class="nm-navbar-area <?php if ( is_user_logged_in() ) { echo esc_attr( $hide_wp_nav ); } ?>">
        <div class="nm-guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <div class="nm-guto-nav">
            <div class="container">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if(!empty($logo)): ?>
                            <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                        <?php else: ?>
                            <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                        <?php endif ?>
                    </a>
                    <div class="collapse navbar-collapse mean-menu" id="navbarSupportedContent">
                        <?php
                        if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav m-auto',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'Guto_Bootstrap_Navwalker::fallback',
                                )
                            );
                        }
                        ?>
                        <div class="nm-others-option d-flex align-items-center">
                            <?php if($nav_search): ?>
                                <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="nm-search-option" method="get">
                                    <input type="text" class="search-input" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="search" autocomplete="off" required>
                                    <button type="submit" class="search-btn">
                                        <i class='bx bx-search'></i>
                                    </button>
                                </form>
                            <?php endif; ?>
                        </div>
                    </div>
                </nav>
            </div>
        </div>
        <?php if($nav_search): ?>
            <div class="nm-others-option-for-responsive">
                <div class="container">
                    <div class="dot-menu">
                        <div class="inner">
                            <div class="circle circle-one"></div>
                            <div class="circle circle-two"></div>
                            <div class="circle circle-three"></div>
                        </div>
                    </div>
                    <div class="container">
                        <div class="option-inner">
                            <div class="nm-others-option d-flex align-items-center justify-content-center">
                                <?php if($nav_search): ?>
                                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="nm-search-option" method="get">
                                        <input type="text" class="search-input" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="search" autocomplete="off" required>
                                        <button type="submit" class="search-btn">
                                            <i class='bx bx-search'></i>
                                        </button>
                                    </form>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
<?php elseif( $navigation_style == '' || $navigation_style == 'style-1' ) : ?>
    <div class="navbar-area <?php echo esc_attr( $cs_nav_class ); ?>">
        <div class="guto-responsive-nav">
            <div class="container">
                <div class="guto-responsive-menu">
                    <div class="logo">
                        <a href="<?php echo esc_url(home_url('/'));?>">
                            <?php if(!empty($mobile_logo)): ?>
                                <img src="<?php echo esc_url($mobile_logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php elseif(!empty($logo)): ?>
                                <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                            <?php else: ?>
                                <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                            <?php endif ?>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="guto-nav">
            <div class="container-fluid">
                <nav class="navbar navbar-expand-md navbar-light">
                    <a class="navbar-brand" href="<?php echo esc_url(home_url('/'));?>">
                        <?php if(!empty($logo)): ?>
                            <img src="<?php echo esc_url($logo);  ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                        <?php else: ?>
                            <h2 id="blogname" style="color: #<?php header_textcolor(); ?>"><?php echo esc_html(get_bloginfo()); ?></h2>
                        <?php endif ?>
                    </a>
                    <div class="collapse navbar-collapse mean-menu">
                        <?php
                        if(has_nav_menu('primary')) {
                            wp_nav_menu(
                                array(
                                    'menu'            => 'primary',
                                    'theme_location'  => 'primary',
                                    'container'       => null,
                                    'menu_class'      => 'navbar-nav',
                                    'depth'           => 3,
                                    'walker'          => new Guto_Bootstrap_Navwalker(),
                                    'fallback_cb'     => 'default_main_menu',
                                )
                            );
                        }
                        ?>
                        <div class="others-option d-flex align-items-center">

                            <?php if($nav_search): ?>
                                <div class="option-item">
                                    <div class="search-box">
                                        <i class='bx bx-search'></i>
                                    </div>
                                </div>
                            <?php endif; ?>
                            <?php if (class_exists('WooCommerce')): ?>
                                <?php if($nav_cart): ?>
                                    <div class="option-item">
                                        <a href="<?php echo esc_url(wc_get_cart_url()) ?>" class="cart-btn">
                                            <i class='bx bx-shopping-bag'></i>
                                            <span class="mini-cart-count"></span>
                                        </a>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>
                            <?php if($button): ?>
                                <div class="option-item">
                                    <a target="<?php echo esc_attr($target); ?>" href="<?php echo esc_url($button_link); ?>" class="<?php echo esc_attr( $d_btn_class ); ?>"><i class='<?php echo esc_attr($button_icon); ?>'></i> <?php echo esc_html($button); ?></a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </nav>
            </div>
        </div>
        <?php if($nav_search || $nav_cart): ?>
            <div class="others-option-for-responsive">
                <div class="container">
                    <div class="dot-menu">
                        <div class="inner">
                            <div class="circle circle-one"></div>
                            <div class="circle circle-two"></div>
                            <div class="circle circle-three"></div>
                        </div>
                    </div>
                    <div class="container">
                        <div class="option-inner">
                            <div class="others-option d-flex align-items-center justify-content-center">
                            <?php if($nav_search): ?>
                                    <div class="option-item">
                                        <div class="search-box">
                                            <i class='bx bx-search'></i>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <?php if (class_exists('WooCommerce')): ?>
                                    <?php if($nav_cart): ?>
                                        <div class="option-item">
                                            <a href="<?php echo esc_url(wc_get_cart_url()) ?>" class="cart-btn">
                                                <i class='bx bx-shopping-bag'></i>
                                                <span class="mini-cart-count"></span>
                                            </a>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>

                                <?php if($button): ?>
                                    <div class="option-item">
                                        <a target="<?php echo esc_attr($target); ?>" href="<?php echo esc_url($button_link); ?>" class="<?php echo esc_attr( $d_btn_class ); ?>"><i class='<?php echo esc_attr($button_icon); ?>'></i> <?php echo esc_html($button); ?></a>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>

    <?php if($nav_search): ?>
        <!-- Search Overlay -->
        <div class="search-overlay">
            <div class="d-table">
                <div class="d-table-cell">
                    <div class="search-overlay-layer"></div>
                    <div class="search-overlay-layer"></div>
                    <div class="search-overlay-layer"></div>

                    <div class="search-overlay-close">
                        <span class="search-overlay-close-line"></span>
                        <span class="search-overlay-close-line"></span>
                    </div>

                    <div class="search-overlay-form">
                        <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-form" method="get">
                            <input type="text" class="input-search" placeholder="<?php echo esc_attr( $search_pl ); ?>" value="<?php echo get_search_query(); ?>" name="search" autocomplete="off" required>
                            <button type="submit">
                                <i class='bx bx-search'></i>
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- End Search Overlay -->
    <?php endif; ?>

<?php endif; ?>