<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to guto-lite/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}

$guto_lite_current_demo  = get_option( 'guto_lite_current_demo' );
$shop_hide_card_badge    = guto_lite_option( 'shop_hide_card_badge' );
$shop_style    = guto_lite_option( 'shop_style' );
$shop_card_style    = guto_lite_option( 'shop_card_style' );


if ( $guto_lite_current_demo == 'recipe-blog'):
    $is_pagi_loadmore = guto_lite_option( 'is_pagi_load' );

    if($is_pagi_loadmore == 'rb-load') : ?>
    <li <?php wc_product_class( 'event-boxed ', $product ); ?> >
    <?php else: ?>
    <li <?php wc_product_class( ' ', $product ); ?> >
    <?php endif; ?>
        <div class="single-products-box rb-single-shop">
            <?php
            /**
             * Hook: woocommerce_before_shop_loop_item.
             *
             * @hooked woocommerce_template_loop_product_link_open - 10
             */
            do_action( 'woocommerce_before_shop_loop_item' );

            /**
             * Hook: woocommerce_before_shop_loop_item_title.
             *
             * @hooked woocommerce_show_product_loop_sale_flash - 10
             * @hooked woocommerce_template_loop_product_thumbnail - 10
             */

            remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
            remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
            remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
            remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
            remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
            remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
            ?>


            <div class="products-image">
                <?php woocommerce_template_loop_product_thumbnail(); ?>

                <?php if( $shop_hide_card_badge == true ) :
                    woocommerce_show_product_sale_flash();
                endif; ?>
            </div>

            <div class="products-content">
                <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                <?php woocommerce_template_loop_price(); ?>
            </div>
            <?php
            do_action( 'woocommerce_before_shop_loop_item_title' );

            /**
             * Hook: woocommerce_shop_loop_item_title.
             *
             * @hooked woocommerce_template_loop_product_title - 10
             */


            do_action( 'woocommerce_shop_loop_item_title' );

            /**
             * Hook: woocommerce_after_shop_loop_item_title.
             *
             * @hooked woocommerce_template_loop_rating - 5
             * @hooked woocommerce_template_loop_price - 10
             */
            do_action( 'woocommerce_after_shop_loop_item_title' );

            /**
             * Hook: woocommerce_after_shop_loop_item.
             *
             * @hooked woocommerce_template_loop_product_link_close - 5
             * @hooked woocommerce_template_loop_add_to_cart - 10
             */

            do_action( 'woocommerce_after_shop_loop_item' );
            ?>
        </div>
    </li>

<?php elseif ( $guto_lite_current_demo == 'online-health-coach'): ?>
    <li <?php wc_product_class( '', $product ); ?> >
        <div class="ohc-single-products">
            <?php
            /**
             * Hook: woocommerce_before_shop_loop_item.
             *
             * @hooked woocommerce_template_loop_product_link_open - 10
             */
            do_action( 'woocommerce_before_shop_loop_item' );

            /**
             * Hook: woocommerce_before_shop_loop_item_title.
             *
             * @hooked woocommerce_show_product_loop_sale_flash - 10
             * @hooked woocommerce_template_loop_product_thumbnail - 10
             */

            remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
            remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
            remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
            remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
            remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
            remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
            ?>

            <div class="products-image">
                <?php woocommerce_template_loop_product_thumbnail(); ?>
                <?php woocommerce_template_loop_add_to_cart(); ?>
                <?php woocommerce_show_product_sale_flash(); ?>
            </div>

            <div class="products-content">
                <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                <?php woocommerce_template_loop_price(); ?>
            </div>
            <?php
            do_action( 'woocommerce_before_shop_loop_item_title' );

            /**
             * Hook: woocommerce_shop_loop_item_title.
             *
             * @hooked woocommerce_template_loop_product_title - 10
             */


            do_action( 'woocommerce_shop_loop_item_title' );

            /**
             * Hook: woocommerce_after_shop_loop_item_title.
             *
             * @hooked woocommerce_template_loop_rating - 5
             * @hooked woocommerce_template_loop_price - 10
             */
            do_action( 'woocommerce_after_shop_loop_item_title' );

            /**
             * Hook: woocommerce_after_shop_loop_item.
             *
             * @hooked woocommerce_template_loop_product_link_close - 5
             * @hooked woocommerce_template_loop_add_to_cart - 10
             */

            do_action( 'woocommerce_after_shop_loop_item' );
            ?>
        </div>
    </li>
<?php elseif( $shop_style == 'style-ls' ) : ?>
    <li <?php wc_product_class( '', $product ); ?>>
        <div class="fls-shop-item">
            <div class="top">
                <img src="<?php the_post_thumbnail_url('thumbnail_image_width') ?>" alt="<?php echo esc_attr__('product','guto-lite'); ?>">
                <?php woocommerce_product_cart_style_os(); ?>
            </div>
            <div class="bottom">
                <h3>
                    <a href="<?php the_permalink() ?>"><?php the_title() ?></a>
                </h3>
                <?php woocommerce_template_loop_price(); ?>

                <?php
                $rating_count = $product->get_rating_count();
                if($product->get_rating_count() == 0){
                ?>
                <ul>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                </ul>
                <?php
                } else { ?>
                <ul>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                    <li>
                        <i class='bx bxs-star checked'></i>
                    </li>
                </ul><?php
                }
                ?>

            </div>
        </div>
    </li>

<?php elseif( $guto_lite_current_demo == 'life-coaching' ) :

$is_quick_view          = guto_lite_option( 'is_product_quick_view' );
$quick_view_title       = guto_lite_option( 'product_quick_view_title' );
?>
<li <?php wc_product_class( '', $product ); ?> >
    <?php

    remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
    remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
    remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
    remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
    remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
    remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
    remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);
    remove_action('woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);
    ?>
    <div class="single-lc-products-box">
        <div class="products-image">
            <a href="<?php the_permalink(); ?>" class="main-image">
                <?php the_post_thumbnail( 'full' ); ?>
            </a>
            <?php
                if ( $product->is_on_sale() ) :
                    echo apply_filters( 'woocommerce_sale_flash', '<span class="sale-tag">' . esc_html__( 'Sale!', 'guto-lite' ) . '</span>', $post, $product );
                else: echo apply_filters( 'woocommerce_sale_flash', '<span class="new-tag">' . esc_html__( 'New!', 'guto-lite' ) . '</span>', $post, $product );
                endif;
            ?>
            <?php woocommerce_product_cart_style_lc(); ?>
        </div>
        <div class="products-content">
            <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
            <?php woocommerce_template_loop_price(); ?>
        </div>
    </div>
</li>
<?php elseif( $shop_style == 'style-2' ) :

    if( $shop_card_style == '2'):

        $is_quick_view          = guto_lite_option( 'is_product_quick_view' );
        $quick_view_title       = guto_lite_option( 'product_quick_view_title' );
        ?>
        <li <?php wc_product_class( '', $product ); ?> >
            <div class="single-products-box">
                <?php

                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
                remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
                remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
                remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);
                remove_action('woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);
                ?>
                <div class="image">
                    <a href="<?php the_permalink(); ?>" class="d-block">
                        <?php the_post_thumbnail( 'full' ); ?>
                    </a>
                    <?php woocommerce_product_cart_style_fs();
                    global $post;
                    $wc_image_fs = wp_get_attachment_image_src( get_post_thumbnail_id( $args ), 'single-post-thumbnail' ); ?>
                    <ul class="products-button">
                        <li><a href="#" data-bs-toggle="modal" data-bs-target="#productsQuickView<?php echo esc_attr(get_the_ID()); ?>"><i class='bx bx-show-alt'></i></a></li>
                        <li><a href="<?php echo esc_html( $wc_image_fs[0] ); ?>" class="popup-btn-fs"><i class='bx bx-scan'></i></a></li>
                        <li><a href="<?php the_permalink(); ?>"><i class='bx bx-link'></i></a></li>
                    </ul>
                </div>

                <div class="content">
                    <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                    <?php woocommerce_template_loop_price(); ?>
                </div>

            </div>

            <?php if(is_woocommerce()): ?>
                <!-- Start Products Modal -->
                    <div class="modal productsQuickView fade" id="productsQuickView<?php echo esc_attr(get_the_ID());?>" tabindex="-1" role="dialog" aria-labelledby="productsQuickViewTitle<?php echo esc_attr(get_the_ID());?>" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <button type="button" class="btn-close close" data-bs-dismiss="modal" aria-label="Close"></button>

                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="products-image">
                                        <?php the_post_thumbnail( 'full' ); ?>
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="products-content">
                                            <h3><?php the_title(); ?></h3>
                                            <?php woocommerce_template_loop_price(); ?>
                                            <?php woocommerce_template_loop_rating(); ?>
                                            <?php woocommerce_template_single_excerpt(); ?>

                                            <?php  woocommerce_template_single_add_to_cart(); ?>

                                            <div class="product-meta">
                                                <?php woocommerce_template_single_meta(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <!-- End Products Modal -->
            <?php endif; ?>
        </li>
    <?php else: ?>
        <li <?php wc_product_class( '', $product ); ?> >
            <div class="single-products-box">
                <?php
                /**
                 * Hook: woocommerce_before_shop_loop_item.
                 *
                 * @hooked woocommerce_template_loop_product_link_open - 10
                 */
                do_action( 'woocommerce_before_shop_loop_item' );

                /**
                 * Hook: woocommerce_before_shop_loop_item_title.
                 *
                 * @hooked woocommerce_show_product_loop_sale_flash - 10
                 * @hooked woocommerce_template_loop_product_thumbnail - 10
                 */

                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
                remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
                remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
                ?>


                <div class="products-image">
                    <?php woocommerce_template_loop_product_thumbnail(); ?>
                    <?php woocommerce_template_loop_add_to_cart(); ?>
                    <?php woocommerce_show_product_sale_flash(); ?>
                </div>

                <div class="products-content">
                    <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                    <?php woocommerce_template_loop_price(); ?>
                </div>
                <?php
                do_action( 'woocommerce_before_shop_loop_item_title' );

                /**
                 * Hook: woocommerce_shop_loop_item_title.
                 *
                 * @hooked woocommerce_template_loop_product_title - 10
                 */


                do_action( 'woocommerce_shop_loop_item_title' );

                /**
                 * Hook: woocommerce_after_shop_loop_item_title.
                 *
                 * @hooked woocommerce_template_loop_rating - 5
                 * @hooked woocommerce_template_loop_price - 10
                 */
                do_action( 'woocommerce_after_shop_loop_item_title' );

                /**
                 * Hook: woocommerce_after_shop_loop_item.
                 *
                 * @hooked woocommerce_template_loop_product_link_close - 5
                 * @hooked woocommerce_template_loop_add_to_cart - 10
                 */

                do_action( 'woocommerce_after_shop_loop_item' );
                ?>
            </div>
        </li>
    <?php endif;
elseif( $shop_style == 'style-1' || $shop_style == '' ) :
    if( $shop_card_style == '2'):
        $is_quick_view          = guto_lite_option( 'is_product_quick_view' );
        $quick_view_title       = guto_lite_option( 'product_quick_view_title' );
        ?>
        <li <?php wc_product_class( '', $product ); ?> >
            <div class="single-products-box-two">
                <?php

                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
                remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
                remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
                remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);
                remove_action('woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);
                ?>
                <div class="image">
                    <?php woocommerce_template_loop_product_thumbnail(); ?>
                    <?php if($is_quick_view): ?>
                        <a href="#" class="quick-view-btn" data-bs-toggle="modal" data-bs-target="#productsQuickView<?php echo esc_attr(get_the_ID());?>"><i class="bx bx-show-alt"></i> <?php echo esc_html($quick_view_title); ?></a>
                    <?php endif; ?>
                </div>

                <div class="content">
                    <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                    <?php woocommerce_template_loop_price(); ?>
                    <?php woocommerce_template_loop_add_to_cart(); ?>
                </div>

                <?php woocommerce_show_product_sale_flash(); ?>

            </div>

            <?php if(is_woocommerce()): ?>
                <!-- Start Products Modal -->
                    <div class="modal productsQuickView fade" id="productsQuickView<?php echo esc_attr(get_the_ID());?>" tabindex="-1" role="dialog" aria-labelledby="productsQuickViewTitle<?php echo esc_attr(get_the_ID());?>" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <button type="button" class="btn-close close" data-bs-dismiss="modal" aria-label="Close"></button>
                                <div class="row">
                                    <div class="col-lg-6">
                                        <div class="products-image">
                                        <?php the_post_thumbnail( 'full' ); ?>
                                        </div>
                                    </div>

                                    <div class="col-lg-6">
                                        <div class="products-content">
                                            <h3><?php the_title(); ?></h3>
                                            <?php woocommerce_template_loop_price(); ?>
                                            <?php woocommerce_template_loop_rating(); ?>
                                            <?php woocommerce_template_single_excerpt(); ?>

                                            <?php  woocommerce_template_single_add_to_cart(); ?>

                                            <div class="product-meta">
                                                <?php woocommerce_template_single_meta(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                <!-- End Products Modal -->
            <?php endif; ?>
        </li>
    <?php else: ?>
        <li <?php wc_product_class( '', $product ); ?> >
            <div class="single-products-box it-agency-single-products-box">
                <?php
                /**
                 * Hook: woocommerce_before_shop_loop_item.
                 *
                 * @hooked woocommerce_template_loop_product_link_open - 10
                 */
                do_action( 'woocommerce_before_shop_loop_item' );

                /**
                 * Hook: woocommerce_before_shop_loop_item_title.
                 *
                 * @hooked woocommerce_show_product_loop_sale_flash - 10
                 * @hooked woocommerce_template_loop_product_thumbnail - 10
                 */

                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
                remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);
                remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5);
                remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10);
                remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
                ?>


                <div class="products-image">
                    <?php woocommerce_template_loop_product_thumbnail(); ?>
                    <?php woocommerce_template_loop_add_to_cart(); ?>
                    <?php woocommerce_show_product_sale_flash(); ?>
                </div>

                <div class="products-content">
                    <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>
                    <?php woocommerce_template_loop_price(); ?>
                </div>
                <?php
                do_action( 'woocommerce_before_shop_loop_item_title' );

                /**
                 * Hook: woocommerce_shop_loop_item_title.
                 *
                 * @hooked woocommerce_template_loop_product_title - 10
                 */


                do_action( 'woocommerce_shop_loop_item_title' );

                /**
                 * Hook: woocommerce_after_shop_loop_item_title.
                 *
                 * @hooked woocommerce_template_loop_rating - 5
                 * @hooked woocommerce_template_loop_price - 10
                 */
                do_action( 'woocommerce_after_shop_loop_item_title' );

                /**
                 * Hook: woocommerce_after_shop_loop_item.
                 *
                 * @hooked woocommerce_template_loop_product_link_close - 5
                 * @hooked woocommerce_template_loop_add_to_cart - 10
                 */

                do_action( 'woocommerce_after_shop_loop_item' );
                ?>
            </div>
        </li>
    <?php endif;
endif;