<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to guto-lite/woocommerce/content-widget-product.php.
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.5.5
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

if ( ! is_a( $product, 'WC_Product' ) ) {
	return;
}

?>
<li>
	<?php do_action( 'woocommerce_widget_product_item_start', $args ); ?>

	<div class="widget widget_guto_posts_thumb">

		<article class="item">

			<a href="<?php echo esc_url( $product->get_permalink() ); ?>" class="thumb"><span class="fullimage cover" role="img"><?php echo wp_kses_post( $product->get_image() ); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></span></a>

	        <div class="info">
			    <h4 class="title usmall"><a href="<?php echo esc_url( $product->get_permalink() ); ?>"><?php echo wp_kses_post( $product->get_name() ); ?></a></h4>
			    <ul class="meta">
	                <li class="pl-0"><?php echo wp_kses_post($product->get_price_html() ); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></li>
	            </ul>
		    </div>

	    </article>

	</div>

	<?php do_action( 'woocommerce_widget_product_item_end', $args ); ?>
</li>