<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to guto-lite/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;
?>
<div class="products-meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<span class="sku_wrapper"><?php esc_html_e( 'SKU:', 'guto-lite' ); ?><span class="sku"><?php echo esc_html(( $sku = $product->get_sku() ) ? $sku : esc_html__( 'N/A', 'guto-lite' )); ?></span></span>

	<?php endif; ?>

    <span><?php echo esc_html__('Availability:', 'guto-lite'); ?>
	    <?php if ( ! $product->managing_stock() && ! $product->is_in_stock() ) :
	        echo '<span class="in-stock">This product is out of stock. It can be purchased by custom made order.</span>';
	    else: echo '<span class="in-stock">In Stock</span>';
	    endif;
	    ?>
    </span>

	<?php echo wc_get_product_category_list( $product->get_id(), ', ', '<span class="posted_in">' . _n( 'Category:', 'Categories:', count( $product->get_category_ids() ), 'guto-lite' ) . ' ', '</span>' ); ?>

		<?php echo wc_get_product_tag_list( $product->get_id(), ', ', '<span class="tagged_as">' . _n( 'Tag:', 'Tags:', count( $product->get_tag_ids() ), 'guto-lite' ) . ' ', '</span>' ); ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>